<html>
<head>
<title>Effects - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Effects</div>  </div>
<div class="ingroups"><a class="el" href="group__Core.html">Core</a></div></div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Effects:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Effects.gif" border="0" alt="" usemap="#group____Effects"/>
<map name="group____Effects" id="group____Effects">
<area shape="rect" id="node1" href="group__Core.html" title="Core" alt="" coords="5,5,56,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html">Ogre::Billboard</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A billboard is a primitive which always faces the camera in every frame.  <a href="classOgre_1_1Billboard.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allows the rendering of a chain of connected billboards.  <a href="classOgre_1_1BillboardChain.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChainFactory.html">Ogre::BillboardChainFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory object for creating <a class="el" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards.">BillboardChain</a> instances.  <a href="classOgre_1_1BillboardChainFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a> to render particles using a <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>.  <a href="classOgre_1_1BillboardParticleRenderer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardParticleRendererFactory.html">Ogre::BillboardParticleRendererFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory class for <a class="el" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet.">BillboardParticleRenderer</a>.  <a href="classOgre_1_1BillboardParticleRendererFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardSet.html">Ogre::BillboardSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A collection of billboards (faces which are always facing the given direction) with the same (default) dimensions, material and which are fairly close proximity to each other.  <a href="classOgre_1_1BillboardSet.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardSetFactory.html">Ogre::BillboardSetFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory object for creating <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a> instances.  <a href="classOgre_1_1BillboardSetFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionPass.html">Ogre::CompositionPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Object representing one pass or operation in a composition sequence.  <a href="classOgre_1_1CompositionPass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Object representing one render to a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> or <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> in the <a class="el" href="namespaceOgre.html">Ogre</a> Composition framework.  <a href="classOgre_1_1CompositionTargetPass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Base composition technique, can be subclassed in plugins.  <a href="classOgre_1_1CompositionTechnique.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Compositor.html">Ogre::Compositor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class representing a <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> object.  <a href="classOgre_1_1Compositor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorPtr.html">Ogre::CompositorPtr</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to allow <a class="el" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is required.">SharedPtr</a> to be assigned to <a class="el" href="classOgre_1_1CompositorPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to CompositorPtr.">CompositorPtr</a>.  <a href="classOgre_1_1CompositorPtr.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Chain of compositor effects applying to one viewport.  <a href="classOgre_1_1CompositorChain.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance.html">Ogre::CompositorInstance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An instance of a <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> object for one <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>.  <a href="classOgre_1_1CompositorInstance.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorLogic.html">Ogre::CompositorLogic</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface for compositor logics, which can be automatically binded to compositors, allowing per-compositor logic (such as attaching a relevant listener) to happen automatically.  <a href="classOgre_1_1CompositorLogic.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorManager.html">Ogre::CompositorManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for managing <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> settings for <a class="el" href="namespaceOgre.html">Ogre</a>.  <a href="classOgre_1_1CompositorManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CustomCompositionPass.html">Ogre::CustomCompositionPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface for custom composition passes, allowing custom operations (in addition to the quad, scene and clear operations) in composition passes.  <a href="classOgre_1_1CustomCompositionPass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleVisualData.html">Ogre::ParticleVisualData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class containing any additional data required to be associated with a particle to perform the required rendering.  <a href="classOgre_1_1ParticleVisualData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class representing a single particle instance.  <a href="classOgre_1_1Particle.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffector.html">Ogre::ParticleAffector</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class defining the interface to be implemented by particle affectors.  <a href="classOgre_1_1ParticleAffector.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleAffectorFactory.html">Ogre::ParticleAffectorFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class defining the interface to be implemented by creators of <a class="el" href="classOgre_1_1ParticleAffector.html" title="Abstract class defining the interface to be implemented by particle affectors.">ParticleAffector</a> subclasses.  <a href="classOgre_1_1ParticleAffectorFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitter.html">Ogre::ParticleEmitter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class defining the interface to be implemented by particle emitters.  <a href="classOgre_1_1ParticleEmitter.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitterFactory.html">Ogre::ParticleEmitterFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class defining the interface to be implemented by creators of <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> subclasses.  <a href="classOgre_1_1ParticleEmitterFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html">Ogre::ParticleIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience class to make it easy to step through all particles in a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  <a href="classOgre_1_1ParticleIterator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompilerListener.html">Ogre::ParticleScriptCompilerListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the specific listener for the particle script compiler.  <a href="classOgre_1_1ParticleScriptCompilerListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleScriptCompiler.html">Ogre::ParticleScriptCompiler</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining particle system based special effects.  <a href="classOgre_1_1ParticleSystem.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemManager.html">Ogre::ParticleSystemManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Manages particle systems, particle system scripts (templates) and the available emitter &amp; affector factories.  <a href="classOgre_1_1ParticleSystemManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemFactory.html">Ogre::ParticleSystemFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory object for creating <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> instances.  <a href="classOgre_1_1ParticleSystemFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class defining the interface required to be implemented by classes which provide rendering capability to <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> instances.  <a href="classOgre_1_1ParticleSystemRenderer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRendererFactory.html">Ogre::ParticleSystemRendererFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class definition of a factory object for <a class="el" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which provide rendering c...">ParticleSystemRenderer</a>.  <a href="classOgre_1_1ParticleSystemRendererFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Subclass of <a class="el" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards.">BillboardChain</a> which automatically leaves a trail behind one or more <a class="el" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a> instances.  <a href="classOgre_1_1RibbonTrail.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RibbonTrailFactory.html">Ogre::RibbonTrailFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory object for creating <a class="el" href="classOgre_1_1RibbonTrail.html" title="Subclass of BillboardChain which automatically leaves a trail behind one or more Node instances...">RibbonTrail</a> instances.  <a href="classOgre_1_1RibbonTrailFactory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1EmitterCommands.html">Ogre::EmitterCommands</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Effects.html#ga37abc46b1f74f855e13334aa44f4ec5e">Ogre::BillboardOrigin</a> { <br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea2f0d9a0c7a6232a62819ba5f8088ce41">Ogre::BBO_TOP_LEFT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5eaec907934218991032b9b5f34a2d0d612">Ogre::BBO_TOP_CENTER</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea183e54039d91c27835e5f7a066f8e485">Ogre::BBO_TOP_RIGHT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea306c93ed76b358c9d6aef5b6ff413857">Ogre::BBO_CENTER_LEFT</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5eab17acd1195e321856b4e5a91ccb300a4">Ogre::BBO_CENTER</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea4456ff76b26ecc97f3c34c2c709cf47b">Ogre::BBO_CENTER_RIGHT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea6434f4b60d73ffb70c9ceefd1b5595dc">Ogre::BBO_BOTTOM_LEFT</a>, 
<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5ea928ae6264de474f12e6e3ca00419ae2b">Ogre::BBO_BOTTOM_CENTER</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga37abc46b1f74f855e13334aa44f4ec5eab67c73db2cf842dee641805c415901cb">Ogre::BBO_BOTTOM_RIGHT</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum covering what exactly a billboard's position means (center, top-left etc).  <a href="group__Effects.html#ga37abc46b1f74f855e13334aa44f4ec5e">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Effects.html#ga4f3a37a5b62f0a2ddda53f789e736cbd">Ogre::BillboardRotationType</a> { <a class="el" href="group__Effects.html#gga4f3a37a5b62f0a2ddda53f789e736cbda6a7f6b74eba56f5035dab96d94b07cad">Ogre::BBR_VERTEX</a>, 
<a class="el" href="group__Effects.html#gga4f3a37a5b62f0a2ddda53f789e736cbdafc76d69a1ee25ad91871544eca2ca03f">Ogre::BBR_TEXCOORD</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The rotation type of billboard.  <a href="group__Effects.html#ga4f3a37a5b62f0a2ddda53f789e736cbd">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Effects.html#ga8a7bd8c019e0d8e7049e855847af2a1c">Ogre::BillboardType</a> { <br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1caafd0ef3ee3353703249e160930424b7d">Ogre::BBT_POINT</a>, 
<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1cacfc7dcc9adc26c7b19c0a7047ee5ec1b">Ogre::BBT_ORIENTED_COMMON</a>, 
<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1cabffcbe8d1e5e7d545d8f33762db75176">Ogre::BBT_ORIENTED_SELF</a>, 
<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1ca9f88ba12ab6dd77447b73a0272147a4f">Ogre::BBT_PERPENDICULAR_COMMON</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Effects.html#gga8a7bd8c019e0d8e7049e855847af2a1cab4c7cffc09bcc71b32cb6b4e5f758ee6">Ogre::BBT_PERPENDICULAR_SELF</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of billboard to use.  <a href="group__Effects.html#ga8a7bd8c019e0d8e7049e855847af2a1c">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="var-members"></a>
Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Effects.html#ga56cbccda3a83b1e035e5be74fb17406e">Ogre::RENDER_QUEUE_COUNT</a> = RENDER_QUEUE_MAX+1</td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga37abc46b1f74f855e13334aa44f4ec5e"></a><!-- doxytag: member="Ogre::BillboardOrigin" ref="ga37abc46b1f74f855e13334aa44f4ec5e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Effects.html#ga37abc46b1f74f855e13334aa44f4ec5e">Ogre::BillboardOrigin</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enum covering what exactly a billboard's position means (center, top-left etc). </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1BillboardSet.html#ae57f3915d9864c79ca7f0735679f7a13" title="Sets the point which acts as the origin point for all billboards in this set.">BillboardSet::setBillboardOrigin</a> </dd></dl>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5ea2f0d9a0c7a6232a62819ba5f8088ce41"></a><!-- doxytag: member="BBO_TOP_LEFT" ref="gga37abc46b1f74f855e13334aa44f4ec5ea2f0d9a0c7a6232a62819ba5f8088ce41" args="" -->BBO_TOP_LEFT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5eaec907934218991032b9b5f34a2d0d612"></a><!-- doxytag: member="BBO_TOP_CENTER" ref="gga37abc46b1f74f855e13334aa44f4ec5eaec907934218991032b9b5f34a2d0d612" args="" -->BBO_TOP_CENTER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5ea183e54039d91c27835e5f7a066f8e485"></a><!-- doxytag: member="BBO_TOP_RIGHT" ref="gga37abc46b1f74f855e13334aa44f4ec5ea183e54039d91c27835e5f7a066f8e485" args="" -->BBO_TOP_RIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5ea306c93ed76b358c9d6aef5b6ff413857"></a><!-- doxytag: member="BBO_CENTER_LEFT" ref="gga37abc46b1f74f855e13334aa44f4ec5ea306c93ed76b358c9d6aef5b6ff413857" args="" -->BBO_CENTER_LEFT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5eab17acd1195e321856b4e5a91ccb300a4"></a><!-- doxytag: member="BBO_CENTER" ref="gga37abc46b1f74f855e13334aa44f4ec5eab17acd1195e321856b4e5a91ccb300a4" args="" -->BBO_CENTER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5ea4456ff76b26ecc97f3c34c2c709cf47b"></a><!-- doxytag: member="BBO_CENTER_RIGHT" ref="gga37abc46b1f74f855e13334aa44f4ec5ea4456ff76b26ecc97f3c34c2c709cf47b" args="" -->BBO_CENTER_RIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5ea6434f4b60d73ffb70c9ceefd1b5595dc"></a><!-- doxytag: member="BBO_BOTTOM_LEFT" ref="gga37abc46b1f74f855e13334aa44f4ec5ea6434f4b60d73ffb70c9ceefd1b5595dc" args="" -->BBO_BOTTOM_LEFT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5ea928ae6264de474f12e6e3ca00419ae2b"></a><!-- doxytag: member="BBO_BOTTOM_CENTER" ref="gga37abc46b1f74f855e13334aa44f4ec5ea928ae6264de474f12e6e3ca00419ae2b" args="" -->BBO_BOTTOM_CENTER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga37abc46b1f74f855e13334aa44f4ec5eab67c73db2cf842dee641805c415901cb"></a><!-- doxytag: member="BBO_BOTTOM_RIGHT" ref="gga37abc46b1f74f855e13334aa44f4ec5eab67c73db2cf842dee641805c415901cb" args="" -->BBO_BOTTOM_RIGHT</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h_source.html#l00053">53</a> of file <a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga4f3a37a5b62f0a2ddda53f789e736cbd"></a><!-- doxytag: member="Ogre::BillboardRotationType" ref="ga4f3a37a5b62f0a2ddda53f789e736cbd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Effects.html#ga4f3a37a5b62f0a2ddda53f789e736cbd">Ogre::BillboardRotationType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The rotation type of billboard. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga4f3a37a5b62f0a2ddda53f789e736cbda6a7f6b74eba56f5035dab96d94b07cad"></a><!-- doxytag: member="BBR_VERTEX" ref="gga4f3a37a5b62f0a2ddda53f789e736cbda6a7f6b74eba56f5035dab96d94b07cad" args="" -->BBR_VERTEX</em>&nbsp;</td><td>
<p>Rotate the billboard's vertices around their facing direction. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga4f3a37a5b62f0a2ddda53f789e736cbdafc76d69a1ee25ad91871544eca2ca03f"></a><!-- doxytag: member="BBR_TEXCOORD" ref="gga4f3a37a5b62f0a2ddda53f789e736cbdafc76d69a1ee25ad91871544eca2ca03f" args="" -->BBR_TEXCOORD</em>&nbsp;</td><td>
<p>Rotate the billboard's texture coordinates. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h_source.html#l00066">66</a> of file <a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga8a7bd8c019e0d8e7049e855847af2a1c"></a><!-- doxytag: member="Ogre::BillboardType" ref="ga8a7bd8c019e0d8e7049e855847af2a1c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Effects.html#ga8a7bd8c019e0d8e7049e855847af2a1c">Ogre::BillboardType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of billboard to use. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga8a7bd8c019e0d8e7049e855847af2a1caafd0ef3ee3353703249e160930424b7d"></a><!-- doxytag: member="BBT_POINT" ref="gga8a7bd8c019e0d8e7049e855847af2a1caafd0ef3ee3353703249e160930424b7d" args="" -->BBT_POINT</em>&nbsp;</td><td>
<p>Standard point billboard (default), always faces the camera completely and is always upright. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga8a7bd8c019e0d8e7049e855847af2a1cacfc7dcc9adc26c7b19c0a7047ee5ec1b"></a><!-- doxytag: member="BBT_ORIENTED_COMMON" ref="gga8a7bd8c019e0d8e7049e855847af2a1cacfc7dcc9adc26c7b19c0a7047ee5ec1b" args="" -->BBT_ORIENTED_COMMON</em>&nbsp;</td><td>
<p>Billboards are oriented around a shared direction vector (used as Y axis) and only rotate around this to face the camera. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga8a7bd8c019e0d8e7049e855847af2a1cabffcbe8d1e5e7d545d8f33762db75176"></a><!-- doxytag: member="BBT_ORIENTED_SELF" ref="gga8a7bd8c019e0d8e7049e855847af2a1cabffcbe8d1e5e7d545d8f33762db75176" args="" -->BBT_ORIENTED_SELF</em>&nbsp;</td><td>
<p>Billboards are oriented around their own direction vector (their own Y axis) and only rotate around this to face the camera. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga8a7bd8c019e0d8e7049e855847af2a1ca9f88ba12ab6dd77447b73a0272147a4f"></a><!-- doxytag: member="BBT_PERPENDICULAR_COMMON" ref="gga8a7bd8c019e0d8e7049e855847af2a1ca9f88ba12ab6dd77447b73a0272147a4f" args="" -->BBT_PERPENDICULAR_COMMON</em>&nbsp;</td><td>
<p>Billboards are perpendicular to a shared direction vector (used as Z axis, the facing direction) and X, Y axis are determined by a shared up-vertor. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga8a7bd8c019e0d8e7049e855847af2a1cab4c7cffc09bcc71b32cb6b4e5f758ee6"></a><!-- doxytag: member="BBT_PERPENDICULAR_SELF" ref="gga8a7bd8c019e0d8e7049e855847af2a1cab4c7cffc09bcc71b32cb6b4e5f758ee6" args="" -->BBT_PERPENDICULAR_SELF</em>&nbsp;</td><td>
<p>Billboards are perpendicular to their own direction vector (their own Z axis, the facing direction) and X, Y axis are determined by a shared up-vertor. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h_source.html#l00074">74</a> of file <a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>.</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga56cbccda3a83b1e035e5be74fb17406e"></a><!-- doxytag: member="Ogre::RENDER_QUEUE_COUNT" ref="ga56cbccda3a83b1e035e5be74fb17406e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const size_t <a class="el" href="group__Effects.html#ga56cbccda3a83b1e035e5be74fb17406e">Ogre::RENDER_QUEUE_COUNT</a> = RENDER_QUEUE_MAX+1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00044">44</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
